<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
    <title></title>
  </head>

  <body>
    Hi guys, 

    <div>
      <br />
    </div>

    <div>
      i have some troubles to install hxt.
    </div>

    <div>
      <br />
    </div>

    <div>
      My first naive attempt &quot;cabal install hxt&quot; fails with
    </div>

    <div>
      &quot;cabal: cannot configure hxt-8.5.0. It requires base &gt;=4.2 &amp;&amp; &lt;5&quot;.
    </div>

    <div>
      <br />
    </div>

    <div>
      I guess that&#39;s because i use ghc 6.10.4, since
    </div>

    <div>
      &quot;base-4.2.0.0&quot; depends on &quot;integer-simple&quot; which seems to only come with ghc 6.12.
    </div>

    <div>
      <br />
    </div>

    <div>
      I then tried to install hxt-8.3.2, which seems to be the last version supporting ghc 6.10.4.
    </div>

    <div>
      If fails with:
    </div>

    <div>
      <br />
    </div>

    <div>
      &quot;
    </div>

    <div>
      <div>
        src/Text/XML/HXT/Parser/TagSoup.hs:292:8:
      </div>

      <div>
        &#160;&#160; &#160;Not in scope: `optLookupEntity&#39;
      </div>

      <div>
        cabal: Error: some packages failed to install:
      </div>

      <div>
        hxt-8.3.2 failed during the building phase. The exception was:
      </div>

      <div>
        exit: ExitFailure 1
      </div>
    </div>

    <div>
      &quot;
    </div>

    <div>
      <br />
    </div>

    <div>
      I have no idea, what that means. What am i doing wrong?
    </div>

    <div>
      <br />
    </div>

    <div>
      Thanks,
    </div>

    <div>
      Lenny
    </div>
  </body>
</html>